# Librem 5 First Impressions

Bottomline up front: The Librem 5 isn't going to be anyone's daily driver as it stands today, but it's amazing what Purism has been able to pull off in such a short amount of time as a small company.

I feel like I should explain a little bit about myself first. I'm a Free Software fan. I like the idea that I can completely control my digital systems. All of my day-to-day systems run linux, (Fedora (2x), CentOS, NixOS (x2), and Guix System. But, I'm also a realist, I have a gaming PC that runs windows just for games.

I *really* want a phone that runs (real) linux. Something that isn't part of some tech giant's walled garden and I'm willing to put my money where my mouth is. I own a NeoFreerunner. I own a Firefox Flame. I backed the Ubuntu Phone. And, finally, I backed the Librem 5 as soon as I could.

Having been though those previous, let's admit it, failed open source phone projects I may have lower expectations than some. (Although, I'm incredibly puzzled by some of the comments I've seen related to the Librem 5 that seem to imply that people were expecting these to be basically a flagship phone level of quality from day one.) But, I'm incredibly impressed with what Purism has delivered so far despite both the self-imposed problems and the inherent limitations of building niche hardware from scratch.

# The Hardware is Good

* The phone feels super solid.
* The fit & finish are much better than I was expecting after the descriptions given in the batch announcement blog post.
* The display is beautiful.
  - The black-levels are amazing.

# The Software's Foundations Are Good

* The UI is very responsive.
* Most shit seems to just work.
* Installing new apps just works as you'd expect. (Not that the apps' UI always fit on the screen.)

# But the Software Needs Polish

* It is pretty much always hot. From what I understand this is just a bug with sleep states or power management.
* The battery charges *very* slowly, although, I assume that's just because the phone is consuming a lot of power for the same reason it's hot. Once that issue is fixed I'd expect this to get much better.
* The keyboard is really basic.
* The kinetic scrolling the browser has too much dampening, I can't flick to the bottom of a page like I can with any other mobile browser.
* When the phone is off, the charging LED doesn't come on until I tap the power button for ~a second, but it does still charge.
* There aren't that many apps in the PureOS store for things you might actually want.

# Other Things

My phone came with a pre-installed screen-protector (which had an additional dust cover on that), but it's clearly not made for this screen and it's not installed quite centered. It's lined up perfectly with one edge of the active display area, but it's not quite wide enough to get all the way to the other.

[![](./thumb.screen-protector-bottom.jpg)](./screen-protector-bottom.jpg)

I have a Google Fi data-only SIM installed. I had to manually setup the APN, but you have to do that for any phone not bought from fi. The data connection seems to be rather slow. [fast.com](https://fast.com) says I'm getting 130 Kbps, but I think that might be related to the fact that I can't change the "network mode", every time I try I get an "Access Denied" message, so I'm not sure it's actually using 4G.

I can't find the Fractal (Matrix chat) app in the PureOS store. I guess it's not ready yet? I don't care if there's not E2E encryption yet, I know that's not ready. But, I run my own home server, so it makes little difference to me.

It takes 10-12 seconds of holding the power button before it gives any indication that's it turning on. It does seem to actually just wait that long because holding the button for any less time doesn't cause it to actually turn on. I'm not sure why it's so long, but it doesn't really matter since one the battery drain issue if fixed, I'll rarely be turning it off or on.

# What Just *Is*

The phone is chonky. I measure it at 15.6 mm thick, 150.2 mm tall, and 75.2 mm wide. It's noticeably thick, but it's not hard to hold, definitely nicer than any of the recent ultra tall/wide flagship phones I've held recently. The chamfers of the back edges definitely help with hiding some of the bulk and give a place for your fingers to grab on on the far edge of the phone.

It's interesting being able to see how far down the charging/booting LED on the front is. it's behind a bit of clear glass that allows you to see down into the hole the LED is at the bottom of. There's a good 4-5 mm between the front glass and the LED. So the thickness of the phone doesn't seem to be all down the modem & wireless cards being socketed. (Although, I've never been able to see into a front indicator like this before, so maybe that's normal? And I guess I don't know *for sure* that the LED is attached to the mainboard, it could be daughterboard further away from the screen than the mainboard.)

# In the End

This is a much more polished product than I expected when I backed, but I mostly expected a phone that would dump me to a shell I couldn't type into because, ya know, touchscreen. But again, even the current power issues aside, the ecosystem isn't ready for someone expecting to replace a current gen Android or iOS smartphone. However, all the basics are there and it seems to be a solid foundation for the future.

I've gone back and forth on whether or not I want to post some of the current limitations of the phone because I know there are trolls who will take what I say and run with it, but the fact of the matter is that this is already, by far, the most complete opensource phone ever developed. And for that Purism should be greatly commended. I can't wait to see where it goes.

-------------------------------------------------------------------------------

*P.S. Sorry I don't have more photos, Thanksgiving festivities with the family took more of the daylight hours than I was expecting.*

